%define name    clumanager
%define version 1.0.19
%define release 2

# $Revision: 1.20 $
#
# Red Hat Cluster Manager RPM spec file.
# 
Summary: Open source high availability clustering for Linux
Name: %{name}
Version: %{version}
Release: %{release}
Copyright: GPL
Group: System Environment/Base
Source: %{name}-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-buildroot
Prereq: /sbin/chkconfig

%description
Red Hat Cluster Manager provides continuous availability of critical server
applications in the event of planned or unplanned system downtime. The cluster
is continuously monitored to safeguard against network, storage, or application
failures. It provides interfaces for integration of proprietary applications
and includes native support for high availability NFS and Samba services.
%prep
%setup -q
./autogen.sh
./configure

%build
make clean
make

%install
make install "DESTDIR=$RPM_BUILD_ROOT"

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%config %{_sysconfdir}/rc.d/init.d/cluster
/sbin/*
%{_libdir}/stonith
%{_datadir}/cluster
%{_mandir}/*/*
%ifnarch ia64
%{_localstatedir}/www/cgi-bin/xmquery
%{_localstatedir}/www/html/Cluster
%endif

%doc

%post
/sbin/chkconfig --add cluster

%preun
if [ $1 = 0 ]; then
   /sbin/chkconfig --del cluster
fi

%postun


%changelog
* Fri Dec 20 2002 Lon Hohberger <lhh@redhat.com> 1.0.19
- powerd fixes, wrong mem free ordering in parseconf.c causing random
  segfaults (How did this not appear before?)
- clurmtabd fixes (bugzilla #80081) + performance/mem usage improvements.

* Tue Dec 10 2002 Lon Hohberger <lhh@redhat.com> 1.0.17-1
- Total cluster outage bugfixes.

* Mon Sep 23 2002 Lon Hohberger <lhh@redhat.com>
- Updated for build 4 of package version 1.0.16.  Includes file descriptor
  fixes in the STONITH modules.

* Wed Sep 9 2002 Lon Hohberger <lhh@redhat.com>
- Updated for build 1 of package version 1.0.16.  Includes last known bugs
  fixed and a few optimizations.
  
* Thu Aug 29 2002 Lon Hohberger <lhh@redhat.com>
- Minor UI fixes.  Changed "Spent too much time..." warning from cluquorumd
  to display only after three consecutive passes (ie, when it really _is_
  something worth mentioning...)

* Fri Aug 9 2002 Lon Hohberger <lhh@redhat.com>
- Multiple bugfixes since AS-2.1 launch

* Mon Mar 25 2002 John Flanagan <flanagan@redhat.com>
- Check packages reference count in preun for upgrades

* Tue Feb 19 2002 Tim Powers <timp@redhat.com>
- don't just have / as the file listing, list individual files and dirs the package owns
- use tmppath for the RPM_BUILD_ROOT

